Skip to main content

select-file

Description

Fires when selecting a file

Usage

"select-file": ({
id?: string,
toggle?: boolean,
range?: boolean,
panel?: 0|1,
type?: "navigation",
}) => boolean | void;

Parameters

The callback of the select-file action takes an object with the following parameters:

  • id - (optional) an id of selected file
  • toggle - (optional) it's set to true to enable the invert selection of the target item (for example, by holding Ctrl unselects the selected item and adds unselected ones to the selection); it's set to false by default
  • range - (optional) if set to true, enables adding items to the selection range (for example, by holding Shift while selection); the default value is false
  • panel - (optional) the panel number where an item is selected (0|1); by default, the active panel number is set
  • type - (optional) the readonly parameter which value is set to "navigation" and it's activated when the back-to-parent, control is activated

Example

<script setup>
import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/vue-filemanager";

function init(api) {
api.on("select-file", ({ id, toggle, range }) => {
console.log(`Selected file is ${id} with the toggle value = ${toggle} and the range value = ${range}`);
});
}
</script>

<template>
<Filemanager :data="getData()" :drive="getDrive()" :init="init" />
</template>

Related articles: How to access File Manager API

Skip to main content

select-file

Description

Fires when selecting a file

Usage

"selectFile": ({
id?: string,
toggle?: boolean,
range?: boolean,
panel?: 0|1,
type?: "navigation",
}) => boolean | void;

Parameters

The callback of the selectFile action takes an object with the following parameters:

  • id - (optional) an id of selected file
  • toggle - (optional) it's set to true to enable the invert selection of the target item (for example, by holding Ctrl unselects the selected item and adds unselected ones to the selection); it's set to false by default
  • range - (optional) if set to true, enables adding items to the selection range (for example, by holding Shift while selection); the default value is false
  • panel - (optional) the panel number where an item is selected (0|1); by default, the active panel number is set
  • type - (optional) the readonly parameter which value is set to "navigation" and it's activated when the back-to-parent, control is activated

Example

import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/react-filemanager";

function init(api) {
api.on("selectFile", ({ id, toggle, range }) => {
console.log(`Selected file is ${id} with the toggle value = ${toggle} and the range value = ${range}`);
});
}

export default function App() {
return (
<Filemanager data={getData()} drive={getDrive()} init={init} />
);
}

Related articles: How to access File Manager API